Page MenuHomePhabricator

[libcxx/variant] Implement workaround for GCC bug.
ClosedPublic

Authored by mpark on Aug 28 2020, 6:26 PM.

Details

Reviewers
ldionne
Group Reviewers
Restricted Project
Commits
rG7d15ece79c16: [libcxx/variant] Implement workaround for GCC bug.
Summary

A parameter pack is deemed to be uncaptured, which is bogus... but it seems to
be because it's within an expression that involves decltype of an uncaptured
pack or something: https://godbolt.org/z/b8z3sh

Drive-by fix for uglified name.

Diff Detail

Event Timeline

mpark created this revision.Aug 28 2020, 6:26 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 28 2020, 6:26 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
mpark requested review of this revision.Aug 28 2020, 6:26 PM
ldionne accepted this revision.Aug 29 2020, 1:58 PM
This revision is now accepted and ready to land.Aug 29 2020, 1:58 PM
This revision was landed with ongoing or failed builds.Aug 30 2020, 9:44 AM
This revision was automatically updated to reflect the committed changes.